<?php

		
		include 'conexion/conn.php';
		$caja_id=$_GET['caja_id'];
		$rs = mysql_query("SELECT * FROM cal_cajas INNER JOIN cal_planilla_inspeccion ON cal_planilla_inspeccion.pi_folio=cal_cajas.pi_folio where cal_cajas.caja_id='$caja_id'");

           if($row = mysql_fetch_array($rs)){
            $pi_folio=$row['pi_folio'];
            $cliente=$row['cliente_id'];
            $pi_especie_id=$row['pi_especie_id'];
            $productor_id=$row['productor_id'];
            $norma_id=$row['norma_id'];
            $variedad_id=$row['variedad_id'];
            $clasificacion_id=$row['clasificacion_id'];
            $n_proceso=$row['n_proceso'];
            $n_muestra=$row['n_muestra'];
            $embalaje_cod=$row['embalaje_cod'];
            $calibre_id=$row['calibre_id'];
            $resultado_pallet=$row['resultado_pallet'];
            $camara=$row['camara'];
            $tipo_planilla=$row['tipo_planilla'];
          }

          if($tipo_planilla=="RECEPCION"){
	          	$rs = mysql_query("SELECT * FROM `cal_planilla_especie` where especie_id='$pi_especie_id' AND tipo_planilla='RECEPCION'");

	           if($row = mysql_fetch_array($rs)){
	            $planilla_id=$row['planilla_id'];    
	            
	          }
          }else{
	          	$rs = mysql_query("SELECT * FROM `cal_planilla_especie` where especie_id='$pi_especie_id'");

	           if($row = mysql_fetch_array($rs)){
	            $planilla_id=$row['planilla_id'];    
	            
	          }
          }

          if($tipo_planilla!="TESTIGO"){
	          	$rs = mysql_query("SELECT * FROM cal_clasificacion where clasificacion_id='$clasificacion_id'");

	           if($row = mysql_fetch_array($rs)){
	            $nombre_clasificacion=$row['nombre_clasificacion'];
	          }

	          $rs = mysql_query("SELECT * FROM cal_calibre where calibre_id='$calibre_id'");

	           if($row = mysql_fetch_array($rs)){
	            $calibre_nombre=$row['calibre_nombre'];
	          }
          }

         

          $rs = mysql_query("SELECT * FROM `cal_embalaje` where embalaje_cod='$embalaje_cod'");

           if($row = mysql_fetch_array($rs)){
            $peso_neto_min=$row['peso_neto_min'];
            $peso_neto_medio=$row['peso_neto_medio'];
            $peso_neto_max=$row['peso_neto_max'];
          }

          $rs = mysql_query("SELECT * FROM cal_especies where especie_id='$pi_especie_id'");

           if($row = mysql_fetch_array($rs)){
            $especie_nombre=$row['especie_nombre'];
          }

          $rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

           if($row = mysql_fetch_array($rs)){
            $pi_fecha_inspeccion=$row['pi_fecha_inspeccion'];
            $pi_inspector=$row['pi_inspector'];
            $packing_id=$row['pi_packing_id'];
          }

          $rs = mysql_query("SELECT * FROM cal_packing where packing_id='$packing_id'");

           if($row = mysql_fetch_array($rs)){
            $packing_nombre=$row['packing_nombre'];
            $zona_id=$row['zona_id'];
          }

          $rs = mysql_query("SELECT * FROM cal_zona where zona_id='$zona_id'");

           if($row = mysql_fetch_array($rs)){
            $zona_nombre=$row['zona_nombre'];
          }

          $rs = mysql_query("SELECT * FROM cal_productores where productor_id='$productor_id'");

           if($row = mysql_fetch_array($rs)){
            $productor_nombre=$row['productor_nombre'];
          }
          $rs = mysql_query("SELECT * FROM cal_variedades where variedad_id='$variedad_id'");

           if($row = mysql_fetch_array($rs)){
           	$variedad_cod=$row['variedad_cod'];
            $variedad_nombre=$row['variedad_nombre'];
          }
          
          
          $rs = mysql_query("SELECT * FROM cal_calibre where calibre_id='$calibre_id'");

           if($row = mysql_fetch_array($rs)){
           	
            $calibre_nombre=$row['calibre_nombre'];
          }

          

          $rs = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$pi_inspector'");

           if($row = mysql_fetch_array($rs)){
            $nombre_inspector=$row['usuario_nombre']." ".$row['usuario_apepaterno'];
          }

echo '<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Cliente</title>
       
        <script type="text/javascript" src="Highcharts-4.2.7/js/highcharts.js"></script>
        <script type="text/javascript" src="Highcharts-4.2.7/js/modules/exporting.js"></script>
    


    </head>
<style>
.Rotate-90
{
  
    transform: rotate(270deg);
	font-size:9px;
	border:1px solid black;
	margin-left:-40px;
	width:120px;
}
.vertical{

	text-align:center;
	vertical-align:middle;
	width:14px;
	height:auto;
	margin:0px;
	padding:0px;
	padding-left:3px;
	padding-right:3px;
	padding-top:10px;
	white-space:nowrap;
	-webkit-transform:rotate(-90deg);
	-moz-transform:rotate(-90deg);
	-o-transform:rotate(-90deg);
}

</style>';
?>
<script language="JavaScript">
function doPrint(){
document.all.item("noprint").style.visibility='hidden' 
window.print()
document.all.item("noprint").style.visibility='visible'
}
</script>
<?php
echo '
<body style="font-family: Calibri, sans-serif;">
<div id="noprint">
	<input name="imprimir" type="button" onClick="doPrint();" value="Imprimir">
</div>
<div width="100%" style="margin-top:15px;">
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:19%; float:left; text-align:center;">
				<img src="Foto_exportadora/'.$cliente.'.jpeg" height="97%" style="margin-top:1px;">
	</div>
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:55%; float:left; text-align:center;">';
				if($cliente=='RB'){
					echo'<div style="font-size:8px;">RIOblanco SpA </div>';
				}else{
					echo'<div style="font-size:8px;">Inglobo Chile </div>';
				}
				if($tipo_planilla=="TESTIGO"){
					echo '<div style="font-size:8px;">GERENCIA CALIDAD Y DESARROLLO</div>';
				echo '<div style="font-weight: bold;"><br/>VERIFICACION DE CAJAS TESTIGO DE '.$especie_nombre.'</div>';
				}else{
					echo '<div style="font-size:8px;">GERENCIA CALIDAD Y DESARROLLO</div>';
					
				echo '<div style="font-weight: bold;"><br/>VERIFICACION DE RECEPCION DE '.$especie_nombre.'</div>';
				}
				
	echo '</div>
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:25%; float:left; font-size:10px;">';
			if($pi_especie_id=='11'){
					echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-001</div>
				<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;02-10-18</div>
				<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefe Calidad Aconcagua</div>
				<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
				<div>Correlativo</div>';
				}else if($pi_especie_id=='41'){
					echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-024</div>
				<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;02 del 08-03-19</div>
				<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefa Calidad Sur</div>
				<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
				<div>Correlativo</div>';
				}else if($pi_especie_id=='82'){
					echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-040</div>
				<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 02 del 31-01-19</div>
				<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefe Calidad Norte</div>
				<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
				<div>Correlativo</div>';
				}else{
				    if($pi_especie_id=='105'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-2 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='103' || $pi_especie_id=='109'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-3 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 04
					    </div>';
					}else if($pi_especie_id=='110'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-6 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='104'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-7 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='102'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-8 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='107' || $pi_especie_id=='108'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-9 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='113'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-14 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 03
					    </div>';
					}else if($pi_especie_id=='106'){
					    echo '<div style="font-size:12px; font-weight: bold; text-align:center;">
					    CODIGO BRC: R-CCFF-34 <br/>
					    FECHA: '.date("d-m-Y", strtotime($pi_fecha_inspeccion)).'<br/>
					    PÁGINAS: 1 de 1 <br/>
					    VERSIÓN: V 04
					    </div>';
					}
					if($cliente!="SF"){
					    echo '<br/><img src="Foto_exportadora/Inglobo.png" height="97%" style="margin-top:1px;">';
					}
					
				}
				
	echo '</div>
</div>
<div style="clear: both;">
	<div style="margin-top:3px; width:32%; float:left;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">
			<tr>
				<td>ZONA DE ORIGEN:</td>
				<td>'.$zona_nombre.'</td>
			</tr>
			<tr>
				<td>PACKING:</td>
				<td>'.$packing_id.' - '.$packing_nombre.'</td>
			</tr>
		    <tr>
					<td>FECHA RECEPCIÓN:</td>
					<td>'.$pi_fecha_inspeccion.'</td>
				</tr>
			</table>
	</div>
	<div style="margin-top:3px; width:33%; float:left; margin-left:4px;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">';
			if($tipo_planilla=="RECEPCION"){
				echo '
					<tr>
				<td>PRODUCTOR</td>
				<td>'.$productor_id.' - '.$productor_nombre.'</td>
			</tr>
			<tr>
				<td>VARIEDAD</td>
				<td>'.$variedad_nombre.'</td>
			</tr>
				<tr>
					<td>RESULTADO:</td>
					<td>'.$resultado_pallet.'</td>
				</tr>
				';
			}
			
			
			echo '</table>	
	</div>
	<div style="margin-top:3px; width:33%; float:left; margin-left:4px; margin-bottom:3px;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">';
			if($tipo_planilla=="TESTIGO"){
				
			}else{
			    if($cliente=='SF'){
			        echo '<tr>
					<td>V.B. Verificación</td>
					<td>MANUEL MIRANDA</td>
				</tr>';
			    }
				echo '
				
				<tr>
					<td>INSPECTOR</td>
					<td>'.$nombre_inspector.'</td>
				</tr>
				<tr>
					<td>CODIGO INTERNO</td>
					<td>#ING00'.$caja_id.'</td>
				</tr>';
			}
			
			
			echo '</table>
	</div>
</div>


<table border="1" style="border-collapse: separate; margin-top:80px;">
<tr align="center" style="font-size:10px; margin:3px;">';

$rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' AND cal_planilla_defectos.tipo_medicion!='CALIBRE SOFRUCO1' AND cal_planilla_defectos.tipo_medicion!='BRIX' AND cal_planilla_defectos.tipo_medicion!='ACIDEZ' AND cal_planilla_defectos.tipo_medicion!='BRIX/AC' AND cal_planilla_defectos.tipo_medicion!='JUGO' AND cal_cajas_det.caja_id='$caja_id' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");
echo '<th colspan="4"></th>';
while($rowcajas = mysql_fetch_array($rscajas)){
	$cont_cajas=$rowcajas['cont_parametro'];
	
	echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
}

	

echo '</tr>
<tr align="left" valign="bottom" style="font-size:8px; height:150px;">';
$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' AND cal_planilla_defectos.tipo_medicion!='CALIBRE SOFRUCO1' AND cal_planilla_defectos.tipo_medicion!='BRIX' AND cal_planilla_defectos.tipo_medicion!='ACIDEZ' AND cal_planilla_defectos.tipo_medicion!='BRIX/AC' AND cal_planilla_defectos.tipo_medicion!='JUGO' ORDER BY cal_planilla_defectos.orden_planilla ASC");
echo '<th><div class="vertical">NUM</div></th>';
while($rowcajas = mysql_fetch_array($rscajas)){
	$id_defecto=$rowcajas['id_defecto'];
	
	$nombre_defecto=$rowcajas['nombre_defecto'];
	$id_parametros=$rowcajas['id_parametro'];
	
	if($rowcajas['tipo_medicion']=="NPROCESO" || $rowcajas['tipo_medicion']=="CALIBRE" || $rowcajas['tipo_medicion']=="NFRUTOS" || $rowcajas['tipo_medicion']=="NLOTE" || $rowcajas['tipo_medicion']=="FOLIO PALLET" || $rowcajas['tipo_medicion']=="CANT CAJAS"){
	     echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
	}
}
$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' AND cal_planilla_defectos.tipo_medicion!='CALIBRE SOFRUCO1' AND cal_planilla_defectos.tipo_medicion!='BRIX' AND cal_planilla_defectos.tipo_medicion!='ACIDEZ' AND cal_planilla_defectos.tipo_medicion!='BRIX/AC' AND cal_planilla_defectos.tipo_medicion!='JUGO' AND cal_cajas_det.caja_id='$caja_id' ORDER BY cal_planilla_defectos.orden_planilla ASC");
while($rowcajas = mysql_fetch_array($rscajas)){
	$id_defecto=$rowcajas['id_defecto'];
	$id_parametros=$rowcajas['id_parametro'];
	$nombre_defecto=$rowcajas['nombre_defecto'];
	
        echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
	
}
//echo '<th><div class="vertical">Prom Diametro Fruto</div></th>';




echo '
</tr>';

$prom_fruto_total=0;
$prom_brix_total=0;
$prom_firmeza_total=0;
$observaciones="";
$where_cajas="";
$i=0;
$rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_especie_id='$pi_especie_id' AND cal_planilla_inspeccion.tipo_planilla='".$tipo_planilla."' and (cal_cajas.caja_id='$caja_id' or cal_cajas.caja_madre='".$caja_id."') ORDER BY cal_cajas.num ASC");
	if($rowcajas2 = mysql_fetch_array($rscajas2)){
		$observaciones.=$rowcajas2['observacion']." - ";
		$caja_madre=$rowcajas2['caja_madre'];
		if($caja_madre==""){
			$cant_caja_hijas=$rowcajas2['cant_caja_hijas'];
		}
		
		$tolerancia1=$rowcajas2['tolerancia1'];
		$tolerancia2=$rowcajas2['tolerancia2'];
		$resultado_caja=$rowcajas2['resultado_caja'];
		$resultado_pallet=$rowcajas2['resultado_pallet'];
		$resolucion_lote=$rowcajas2['resolucion_lote'];
		if($i==0){
			$where_cajas.="(caja_id='".$rowcajas2['caja_id']."'";
		}else{
			$where_cajas.=" OR caja_id='".$rowcajas2['caja_id']."'";
		}
		
		$i++;
		echo '<tr align="center" valign="bottom" style="font-size:10px;">';

		echo '<td>'.$rowcajas2['num'].'</td>';
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' AND cal_planilla_defectos.tipo_medicion!='CALIBRE SOFRUCO1' AND cal_planilla_defectos.tipo_medicion!='BRIX' AND cal_planilla_defectos.tipo_medicion!='ACIDEZ' AND cal_planilla_defectos.tipo_medicion!='BRIX/AC' AND cal_planilla_defectos.tipo_medicion!='JUGO' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			
			if($rowcajas['tipo_medicion']=="NPROCESO"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_proceso'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CALIBRE"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$calibre_id=$rowcajas3['calibre_id'];
					$rscajas4 = mysql_query("SELECT * FROM cal_calibre WHERE cal_calibre.calibre_id='".$rowcajas3['calibre_id']."'");
					if($rowcajas4 = mysql_fetch_array($rscajas4)){
						echo '<td>'.$rowcajas4['calibre_nombre'].'</td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NFRUTOS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['nfrutos'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NLOTE"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_lote'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PESO BAYA"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['baya_promedio'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="FOLIO PALLET"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['folio_pallet'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CANT CAJAS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['cant_cajas'].'</td>';
				}else{
					echo '<td></td>';
				}
			}
		}//termina primera parte
		
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' AND cal_planilla_defectos.tipo_medicion!='CALIBRE SOFRUCO1' AND cal_planilla_defectos.tipo_medicion!='BRIX' AND cal_planilla_defectos.tipo_medicion!='ACIDEZ' AND cal_planilla_defectos.tipo_medicion!='BRIX/AC' AND cal_planilla_defectos.tipo_medicion!='JUGO' AND cal_cajas_det.caja_id='$caja_id' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			
		        	if($rowcajas['hijos_de']=="SUMA TOTAL BAYA RACIMO3" || $rowcajas['tipo_medicion']=="SUMA TOTAL BAYA RACIMO3"){
				        $color_fondo="#91F99B";
				    }else if($rowcajas['hijos_de']=="SUMA TOTAL BAYA RACIMO4" || $rowcajas['tipo_medicion']=="SUMA TOTAL BAYA RACIMO4"){
				        $color_fondo="#FF9066";
				    }else{
				        $color_fondo="";
				    }
				    
				    
				    if($rowcajas['tipo_medicion']=="PESO NETO"){
				        $peso_neto=$rowcajas['valor_defecto'];
				    }
				    
					if($rowcajas['cumple']=="VERDE"){
						echo '<td bgcolor="'.$color_fondo.'">'.$rowcajas['valor_defecto'].'</td>';
					}else if($rowcajas['cumple']=="AMARILLO"){
						echo '<td bgcolor="'.$color_fondo.'" style="color: #FBFF00; background-color:#6E6E6E;">'.$rowcajas['valor_defecto'].'</td>';
					}else if($rowcajas['cumple']=="ROJO"){
						echo '<td bgcolor="'.$color_fondo.'" style="color:red">'.$rowcajas['valor_defecto'].'</td>';
					}else{
					    if($rowcajas['valor_defecto']=="" && $rowcajas['valor_real']!=""){
					        echo '<td bgcolor="'.$color_fondo.'">'.$rowcajas['valor_real'].'</td>';
					    }else{
					        echo '<td bgcolor="'.$color_fondo.'">'.$rowcajas['valor_defecto'].'</td>';
					    }
						
					}
		}

		
			$prom_fruto=0;
			$rscajas6 = mysql_query("SELECT * FROM cal_caja_peso_fruto	WHERE cal_caja_peso_fruto.caja_id='".$rowcajas2['caja_id']."'");
			if($rowcajas6 = mysql_fetch_array($rscajas6)){
			    $prom_fruto=$rowcajas6['peso1_gr']+$rowcajas6['peso2_gr']+$rowcajas6['peso3_gr']+$rowcajas6['peso4_gr']+$rowcajas6['peso5_gr']+$rowcajas6['peso6_gr']+$rowcajas6['peso7_gr']+$rowcajas6['peso8_gr']+$rowcajas6['peso9_gr']+$rowcajas6['peso10_gr'];
				$prom_fruto=$prom_fruto/10;
			}
			//echo '<td>'.$prom_fruto.'</td>';
			$prom_fruto_total=$prom_fruto_total+$prom_fruto;
			
			$prom_brix=0;
				$rscajas6 = mysql_query("SELECT * FROM cal_caja_brix_fruto	WHERE cal_caja_brix_fruto.caja_id='".$rowcajas2['caja_id']."'");
			if($rowcajas6 = mysql_fetch_array($rscajas6)){
			    $prom_brix=$rowcajas6['brix1']+$rowcajas6['brix2']+$rowcajas6['brix3']+$rowcajas6['brix4']+$rowcajas6['brix5']+$rowcajas6['brix6']+$rowcajas6['brix7']+$rowcajas6['brix8']+$rowcajas6['brix9']+$rowcajas6['brix10'];
				$prom_brix=$prom_brix/10;
			}
			//echo '<td>'.$prom_brix.'</td>';
			$prom_brix_total=$prom_brix_total+$prom_brix;
			
			$prom_firmeza=0;
      $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza=$rowcajas6['firmeza1']+$rowcajas6['firmeza2']+$rowcajas6['firmeza3']+$rowcajas6['firmeza4']+$rowcajas6['firmeza5']+$rowcajas6['firmeza6']+$rowcajas6['firmeza7']+$rowcajas6['firmeza8']+$rowcajas6['firmeza9']+$rowcajas6['firmeza10']+$rowcajas6['firmeza11']+$rowcajas6['firmeza12']+$rowcajas6['firmeza13']+$rowcajas6['firmeza14']+$rowcajas6['firmeza15']+$rowcajas6['firmeza16']+$rowcajas6['firmeza17']+$rowcajas6['firmeza18']+$rowcajas6['firmeza19']+$rowcajas6['firmeza20'];
            $prom_firmeza=$prom_firmeza/20;
      }
       $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza_hombros=$rowcajas6['firmezahombros1']+$rowcajas6['firmezahombros2']+$rowcajas6['firmezahombros3']+$rowcajas6['firmezahombros4']+$rowcajas6['firmezahombros5']+$rowcajas6['firmezahombros6']+$rowcajas6['firmezahombros7']+$rowcajas6['firmezahombros8']+$rowcajas6['firmezahombros9']+$rowcajas6['firmezahombros10']+$rowcajas6['firmezahombros11']+$rowcajas6['firmezahombros12']+$rowcajas6['firmezahombros13']+$rowcajas6['firmezahombros14']+$rowcajas6['firmezahombros15']+$rowcajas6['firmezahombros16']+$rowcajas6['firmezahombros17']+$rowcajas6['firmezahombros18']+$rowcajas6['firmezahombros19']+$rowcajas6['firmezahombros20'];
            $prom_firmeza_hombros=$prom_firmeza_hombros/20;
      }
      $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza_punta=$rowcajas6['firmezapunta1']+$rowcajas6['firmezapunta2']+$rowcajas6['firmezapunta3']+$rowcajas6['firmezapunta4']+$rowcajas6['firmezapunta5']+$rowcajas6['firmezapunta6']+$rowcajas6['firmezapunta7']+$rowcajas6['firmezapunta8']+$rowcajas6['firmezapunta9']+$rowcajas6['firmezapunta10'];
            $prom_firmeza_punta=$prom_firmeza_punta/10;
      }
      
       $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza_quilla=$rowcajas6['firmezaquilla1']+$rowcajas6['firmezaquilla2']+$rowcajas6['firmezaquilla3']+$rowcajas6['firmezaquilla4']+$rowcajas6['firmezaquilla5']+$rowcajas6['firmezaquilla6']+$rowcajas6['firmezaquilla7']+$rowcajas6['firmezaquilla8']+$rowcajas6['firmezaquilla9']+$rowcajas6['firmezaquilla10'];
            $prom_firmeza_quilla=$prom_firmeza_quilla/10;
      }
      $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza_aerea=$rowcajas6['firmeza1']+$rowcajas6['firmeza2']+$rowcajas6['firmeza3']+$rowcajas6['firmeza4']+$rowcajas6['firmeza5']+$rowcajas6['firmeza6']+$rowcajas6['firmeza7']+$rowcajas6['firmeza8']+$rowcajas6['firmeza9']+$rowcajas6['firmeza10'];
            $prom_firmeza_aerea=$prom_firmeza_aerea/10;
      }
      $rscajas6 = mysql_query("SELECT * FROM cal_cajas_firmeza WHERE cal_cajas_firmeza.caja_id='".$rowcajas2['caja_id']."'");
      if($rowcajas6 = mysql_fetch_array($rscajas6)){
          $prom_firmeza_mar=$rowcajas6['firmeza11']+$rowcajas6['firmeza12']+$rowcajas6['firmeza13']+$rowcajas6['firmeza14']+$rowcajas6['firmeza15']+$rowcajas6['firmeza16']+$rowcajas6['firmeza17']+$rowcajas6['firmeza18']+$rowcajas6['firmeza19']+$rowcajas6['firmeza20'];
            $prom_firmeza_mar=$prom_firmeza_mar/10;
      }
      
      	//echo '<td>'.$prom_firmeza.'</td>';
      	$prom_firmeza_total=$prom_firmeza_total+$prom_firmeza;
			
		echo '</tr>';
	}
echo '</table>
</br>';


if($cliente=="AS"){
    echo '<div style="border:0px solid black; width:1400px;height:auto; float:left">';
    echo '<div style="border:0px solid red; width:100%; float:left;">';
}else{
    echo '<div style="border:0px solid black; width:1400px; float:left">';
  echo '<div style="border:0px solid red; width:auto; float:left;">';  
}

if($cliente=="SF"){
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
    <tr align="center" style="font-size:8px;">';
    $rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') AND cal_cajas_det.caja_id='$caja_id' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");
    //CALIBRES
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$cont_cajas=$rowcajas['cont_parametro'];
    	
    	echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
    }
    
    	
    
    echo '</tr>
    <tr align="left" valign="bottom" style="font-size:8px; height:80px;">';
    $rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') ORDER BY cal_planilla_defectos.orden_planilla ASC");
    
    
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$id_defecto=$rowcajas['id_defecto'];
    	
    	
    	$nombre_defecto=$rowcajas['nombre_defecto'];
    	
    	
                echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
         
    	
    }
    
    
    
    
    
    echo '
    </tr>';
    
    
    $rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_especie_id='$pi_especie_id' AND cal_planilla_inspeccion.tipo_planilla='".$tipo_planilla."' and (cal_cajas.caja_id='$caja_id' or cal_cajas.caja_madre='".$caja_id."') ORDER BY cal_cajas.num ASC");
    	if($rowcajas2 = mysql_fetch_array($rscajas2)){
    		
    		echo '<tr align="center" valign="bottom" style="font-size:10px;">';
    
    	
    		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') ORDER BY cal_planilla_defectos.orden_planilla ASC");
    		while($rowcajas = mysql_fetch_array($rscajas)){
    			$id_defecto=$rowcajas['id_defecto'];
    			$nombre_defecto=$rowcajas['nombre_defecto'];
    			
    			
    			
    			    $rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
    				if($rowcajas3 = mysql_fetch_array($rscajas3)){
    					echo '<td>'.round($rowcajas3['valor_defecto']*100/$peso_neto, 1).'%</td>';
    				}else{
    					echo '<td>0</td>';
    				}
    			
    			
    			
    			
    			
    		}
    
    		
    			
    			
    		echo '</tr>';
    	}
    echo '</table>';
    
}else if($cliente=="AS"){
     echo '<div id="grafico_calibre_as" style="margin-left:5px; border:1px solid black; width:450px; height:240px; float:left; margin-top:15px;"></div>';
     
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float:left; margin-left:6px;">
    <tr align="center" style="font-size:8px;">';
    $rscajas = mysql_query("SELECT COUNT(*) as cantidad_calibres FROM `cal_calibre` WHERE especie_id='$pi_especie_id' order by orden_calibre ASC");
    //CALIBRES
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$cont_cajas=$rowcajas['cantidad_calibres'];
    	
    	echo '<th colspan="'.$cont_cajas.'">CALIBRES</th>';
    }
    
    	
    
    echo '</tr>
    <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
    $rscajas = mysql_query("SELECT * FROM `cal_calibre` WHERE especie_id='$pi_especie_id' order by orden_calibre ASC");
    
    
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$id_defecto=$rowcajas['calibre_id'];
    	
    	
    	$nombre_defecto=$rowcajas['calibre_nombre'];
    	
    	
                echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
         
    	
    }
    
    
    
    
    
    echo '
    </tr>';
    	echo '<tr align="center" valign="bottom" style="font-size:10px;">';
    
    $rscajas2 = mysql_query("SELECT * FROM `cal_calibre` WHERE especie_id='$pi_especie_id' order by orden_calibre ASC");
    	while($rowcajas2 = mysql_fetch_array($rscajas2)){
    		
    	
    
    	    $calibre_id=$rowcajas2['calibre_id'];
    	
    	
    	    
    		$rscajas = mysql_query("SELECT COUNT(*) as cantidad_calibre FROM cal_caja_peso_fruto_as WHERE caja_id='$caja_id' AND calibre_id_peso='$calibre_id'");
    		while($rowcajas = mysql_fetch_array($rscajas)){
    			
    			
    			
    			
    			    
    					echo '<td>'.$rowcajas['cantidad_calibre'].'</td>';
    				
    			
    			
    			
    			
    			
    		}
    
    		
    			
    			
    		
    	}
    	echo '</tr>';
    echo '</table>';
    
     //FIRMEZA PUNTA
       
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float: left;margin-left:6px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="21"> Firmeza Punta</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Firmeza 1</div></th>';
        echo '<th><div class="vertical">Firmeza 2</div></th>';
        echo '<th><div class="vertical">Firmeza 3</div></th>';
        echo '<th><div class="vertical">Firmeza 4</div></th>';
        echo '<th><div class="vertical">Firmeza 5</div></th>';
        echo '<th><div class="vertical">Firmeza 6</div></th>';
        echo '<th><div class="vertical">Firmeza 7</div></th>';
        echo '<th><div class="vertical">Firmeza 8</div></th>';
        echo '<th><div class="vertical">Firmeza 9</div></th>';
        echo '<th><div class="vertical">Firmeza 10</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_cajas_firmeza where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['firmezapunta1'].'</td>';
                       echo '<td>'.$row['firmezapunta2'].'</td>';
                       echo '<td>'.$row['firmezapunta3'].'</td>';
                       echo '<td>'.$row['firmezapunta4'].'</td>';
                       echo '<td>'.$row['firmezapunta5'].'</td>';
                       echo '<td>'.$row['firmezapunta6'].'</td>';
                       echo '<td>'.$row['firmezapunta7'].'</td>';
                       echo '<td>'.$row['firmezapunta8'].'</td>';
                       echo '<td>'.$row['firmezapunta9'].'</td>';
                       echo '<td>'.$row['firmezapunta10'].'</td>';
                       echo '<td>'.$prom_firmeza_punta.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
   
    //FIRMEZA MEJILLA
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float: left; margin-left:6px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="21"> Firmeza Mejilla</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Firmeza 1</div></th>';
        echo '<th><div class="vertical">Firmeza 2</div></th>';
        echo '<th><div class="vertical">Firmeza 3</div></th>';
        echo '<th><div class="vertical">Firmeza 4</div></th>';
        echo '<th><div class="vertical">Firmeza 5</div></th>';
        echo '<th><div class="vertical">Firmeza 6</div></th>';
        echo '<th><div class="vertical">Firmeza 7</div></th>';
        echo '<th><div class="vertical">Firmeza 8</div></th>';
        echo '<th><div class="vertical">Firmeza 9</div></th>';
        echo '<th><div class="vertical">Firmeza 10</div></th>';
        echo '<th><div class="vertical">Firmeza 11</div></th>';
        echo '<th><div class="vertical">Firmeza 12</div></th>';
        echo '<th><div class="vertical">Firmeza 13</div></th>';
        echo '<th><div class="vertical">Firmeza 14</div></th>';
        echo '<th><div class="vertical">Firmeza 15</div></th>';
        echo '<th><div class="vertical">Firmeza 16</div></th>';
        echo '<th><div class="vertical">Firmeza 17</div></th>';
        echo '<th><div class="vertical">Firmeza 18</div></th>';
        echo '<th><div class="vertical">Firmeza 19</div></th>';
        echo '<th><div class="vertical">Firmeza 20</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_cajas_firmeza where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['firmeza1'].'</td>';
                       echo '<td>'.$row['firmeza2'].'</td>';
                       echo '<td>'.$row['firmeza3'].'</td>';
                       echo '<td>'.$row['firmeza4'].'</td>';
                       echo '<td>'.$row['firmeza5'].'</td>';
                       echo '<td>'.$row['firmeza6'].'</td>';
                       echo '<td>'.$row['firmeza7'].'</td>';
                       echo '<td>'.$row['firmeza8'].'</td>';
                       echo '<td>'.$row['firmeza9'].'</td>';
                       echo '<td>'.$row['firmeza10'].'</td>';
                       echo '<td>'.$row['firmeza11'].'</td>';
                       echo '<td>'.$row['firmeza12'].'</td>';
                       echo '<td>'.$row['firmeza13'].'</td>';
                       echo '<td>'.$row['firmeza14'].'</td>';
                       echo '<td>'.$row['firmeza15'].'</td>';
                       echo '<td>'.$row['firmeza16'].'</td>';
                       echo '<td>'.$row['firmeza17'].'</td>';
                       echo '<td>'.$row['firmeza18'].'</td>';
                       echo '<td>'.$row['firmeza19'].'</td>';
                       echo '<td>'.$row['firmeza20'].'</td>';
                       echo '<td>'.$prom_firmeza.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table><br>';
        
        
       
        
        //FIRMEZA QUILLA
       
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float: left;margin-left:6px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="21"> Firmeza Quilla</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Firmeza 1</div></th>';
        echo '<th><div class="vertical">Firmeza 2</div></th>';
        echo '<th><div class="vertical">Firmeza 3</div></th>';
        echo '<th><div class="vertical">Firmeza 4</div></th>';
        echo '<th><div class="vertical">Firmeza 5</div></th>';
        echo '<th><div class="vertical">Firmeza 6</div></th>';
        echo '<th><div class="vertical">Firmeza 7</div></th>';
        echo '<th><div class="vertical">Firmeza 8</div></th>';
        echo '<th><div class="vertical">Firmeza 9</div></th>';
        echo '<th><div class="vertical">Firmeza 10</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_cajas_firmeza where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['firmezaquilla1'].'</td>';
                       echo '<td>'.$row['firmezaquilla2'].'</td>';
                       echo '<td>'.$row['firmezaquilla3'].'</td>';
                       echo '<td>'.$row['firmezaquilla4'].'</td>';
                       echo '<td>'.$row['firmezaquilla5'].'</td>';
                       echo '<td>'.$row['firmezaquilla6'].'</td>';
                       echo '<td>'.$row['firmezaquilla7'].'</td>';
                       echo '<td>'.$row['firmezaquilla8'].'</td>';
                       echo '<td>'.$row['firmezaquilla9'].'</td>';
                       echo '<td>'.$row['firmezaquilla10'].'</td>';
                       echo '<td>'.$prom_firmeza_quilla.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
        
        //FIRMEZA HOMBROS
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float: left;margin-left:462px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="21"> Firmeza Hombros</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Firmeza 1</div></th>';
        echo '<th><div class="vertical">Firmeza 2</div></th>';
        echo '<th><div class="vertical">Firmeza 3</div></th>';
        echo '<th><div class="vertical">Firmeza 4</div></th>';
        echo '<th><div class="vertical">Firmeza 5</div></th>';
        echo '<th><div class="vertical">Firmeza 6</div></th>';
        echo '<th><div class="vertical">Firmeza 7</div></th>';
        echo '<th><div class="vertical">Firmeza 8</div></th>';
        echo '<th><div class="vertical">Firmeza 9</div></th>';
        echo '<th><div class="vertical">Firmeza 10</div></th>';
        echo '<th><div class="vertical">Firmeza 11</div></th>';
        echo '<th><div class="vertical">Firmeza 12</div></th>';
        echo '<th><div class="vertical">Firmeza 13</div></th>';
        echo '<th><div class="vertical">Firmeza 14</div></th>';
        echo '<th><div class="vertical">Firmeza 15</div></th>';
        echo '<th><div class="vertical">Firmeza 16</div></th>';
        echo '<th><div class="vertical">Firmeza 17</div></th>';
        echo '<th><div class="vertical">Firmeza 18</div></th>';
        echo '<th><div class="vertical">Firmeza 19</div></th>';
        echo '<th><div class="vertical">Firmeza 20</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_cajas_firmeza where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['firmezahombros1'].'</td>';
                       echo '<td>'.$row['firmezahombros2'].'</td>';
                       echo '<td>'.$row['firmezahombros3'].'</td>';
                       echo '<td>'.$row['firmezahombros4'].'</td>';
                       echo '<td>'.$row['firmezahombros5'].'</td>';
                       echo '<td>'.$row['firmezahombros6'].'</td>';
                       echo '<td>'.$row['firmezahombros7'].'</td>';
                       echo '<td>'.$row['firmezahombros8'].'</td>';
                       echo '<td>'.$row['firmezahombros9'].'</td>';
                       echo '<td>'.$row['firmezahombros10'].'</td>';
                       echo '<td>'.$row['firmezahombros11'].'</td>';
                       echo '<td>'.$row['firmezahombros12'].'</td>';
                       echo '<td>'.$row['firmezahombros13'].'</td>';
                       echo '<td>'.$row['firmezahombros14'].'</td>';
                       echo '<td>'.$row['firmezahombros15'].'</td>';
                       echo '<td>'.$row['firmezahombros16'].'</td>';
                       echo '<td>'.$row['firmezahombros17'].'</td>';
                       echo '<td>'.$row['firmezahombros18'].'</td>';
                       echo '<td>'.$row['firmezahombros19'].'</td>';
                       echo '<td>'.$row['firmezahombros20'].'</td>';
                       echo '<td>'.$prom_firmeza_hombros.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table><br>';
        
        echo '<table border="1" style="border-collapse: collapse; margin-top:5px;float: left;margin-left:6px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="11"> Brix</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Brix 1</div></th>';
        echo '<th><div class="vertical">Brix 2</div></th>';
        echo '<th><div class="vertical">Brix 3</div></th>';
        echo '<th><div class="vertical">Brix 4</div></th>';
        echo '<th><div class="vertical">Brix 5</div></th>';
        echo '<th><div class="vertical">Brix 6</div></th>';
        echo '<th><div class="vertical">Brix 7</div></th>';
        echo '<th><div class="vertical">Brix 8</div></th>';
        echo '<th><div class="vertical">Brix 9</div></th>';
        echo '<th><div class="vertical">Brix 10</div></th>';
        
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_caja_brix_fruto where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['brix1'].'</td>';
                       echo '<td>'.$row['brix2'].'</td>';
                       echo '<td>'.$row['brix3'].'</td>';
                       echo '<td>'.$row['brix4'].'</td>';
                       echo '<td>'.$row['brix5'].'</td>';
                       echo '<td>'.$row['brix6'].'</td>';
                       echo '<td>'.$row['brix7'].'</td>';
                       echo '<td>'.$row['brix8'].'</td>';
                       echo '<td>'.$row['brix9'].'</td>';
                       echo '<td>'.$row['brix10'].'</td>';
                       
                       echo '<td>'.$prom_brix.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
        
        echo '<div style="clear: left;"></div>
<div width="100%" style="margin-top:15px;">
	<div style="border:1px solid black; margin-top:-10px; height:auto; width:100%; font-size:10px; float:left; text-align:left;">
			Observaciones: '.$observaciones.'	
	</div>
	
	</div>';
    
}else{  //OTRO CLIENTE
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="21"> Firmezas</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Firmeza 1</div></th>';
        echo '<th><div class="vertical">Firmeza 2</div></th>';
        echo '<th><div class="vertical">Firmeza 3</div></th>';
        echo '<th><div class="vertical">Firmeza 4</div></th>';
        echo '<th><div class="vertical">Firmeza 5</div></th>';
        echo '<th><div class="vertical">Firmeza 6</div></th>';
        echo '<th><div class="vertical">Firmeza 7</div></th>';
        echo '<th><div class="vertical">Firmeza 8</div></th>';
        echo '<th><div class="vertical">Firmeza 9</div></th>';
        echo '<th><div class="vertical">Firmeza 10</div></th>';
        echo '<th><div class="vertical">Firmeza 11</div></th>';
        echo '<th><div class="vertical">Firmeza 12</div></th>';
        echo '<th><div class="vertical">Firmeza 13</div></th>';
        echo '<th><div class="vertical">Firmeza 14</div></th>';
        echo '<th><div class="vertical">Firmeza 15</div></th>';
        echo '<th><div class="vertical">Firmeza 16</div></th>';
        echo '<th><div class="vertical">Firmeza 17</div></th>';
        echo '<th><div class="vertical">Firmeza 18</div></th>';
        echo '<th><div class="vertical">Firmeza 19</div></th>';
        echo '<th><div class="vertical">Firmeza 20</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_cajas_firmeza where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['firmeza1'].'</td>';
                       echo '<td>'.$row['firmeza2'].'</td>';
                       echo '<td>'.$row['firmeza3'].'</td>';
                       echo '<td>'.$row['firmeza4'].'</td>';
                       echo '<td>'.$row['firmeza5'].'</td>';
                       echo '<td>'.$row['firmeza6'].'</td>';
                       echo '<td>'.$row['firmeza7'].'</td>';
                       echo '<td>'.$row['firmeza8'].'</td>';
                       echo '<td>'.$row['firmeza9'].'</td>';
                       echo '<td>'.$row['firmeza10'].'</td>';
                       echo '<td>'.$row['firmeza11'].'</td>';
                       echo '<td>'.$row['firmeza12'].'</td>';
                       echo '<td>'.$row['firmeza13'].'</td>';
                       echo '<td>'.$row['firmeza14'].'</td>';
                       echo '<td>'.$row['firmeza15'].'</td>';
                       echo '<td>'.$row['firmeza16'].'</td>';
                       echo '<td>'.$row['firmeza17'].'</td>';
                       echo '<td>'.$row['firmeza18'].'</td>';
                       echo '<td>'.$row['firmeza19'].'</td>';
                       echo '<td>'.$row['firmeza20'].'</td>';
                       echo '<td>'.$prom_firmeza.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
}



if($pi_especie_id=='113'){
    echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
    <tr align="center" style="font-size:8px;">';
    echo '<th colspan="11"> Promedio Firmezas Aéreas y Marítimas</th>';
    
    	
    
    echo '</tr>
    <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
    
    echo '<th><div class="vertical">Prom Aéreas</div></th>';
    echo '<th><div class="vertical">Prom Marítimas</div></th>';
    
    
    echo '
    </tr>';
    
    
    
                   echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                  echo '<td>'.$prom_firmeza_aerea.'</td>';
                   echo '<td>'.$prom_firmeza_mar.'</td>';
                   echo ' </tr>';         
               

    
    
    
    
    
    
    
    echo '</table>';
    
   
    
}else{
    if($cliente=='SF'){
        echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="11"> Diametro (mm)</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Diametro Fruto 1</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 2</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 3</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 4</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 5</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 6</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 7</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 8</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 9</div></th>';
        echo '<th><div class="vertical">Diametro Fruto 10</div></th>';
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_caja_peso_fruto where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['peso1_gr'].'</td>';
                       echo '<td>'.$row['peso2_gr'].'</td>';
                       echo '<td>'.$row['peso3_gr'].'</td>';
                       echo '<td>'.$row['peso4_gr'].'</td>';
                       echo '<td>'.$row['peso5_gr'].'</td>';
                       echo '<td>'.$row['peso6_gr'].'</td>';
                       echo '<td>'.$row['peso7_gr'].'</td>';
                       echo '<td>'.$row['peso8_gr'].'</td>';
                       echo '<td>'.$row['peso9_gr'].'</td>';
                       echo '<td>'.$row['peso10_gr'].'</td>';
                       echo '<td>'.$prom_fruto.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
    }else{
        if($cliente!="AS"){
       echo '<div id="relacion" style="margin-left:5px; border:0px solid black; width:320px; height:240px; float:left;">';
        echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
        <tr align="center" style="font-size:8px;">';
        echo '<th colspan="11"> Brix</th>';
        
        	
        
        echo '</tr>
        <tr align="left" valign="bottom" style="font-size:8px; height:100px;">';
        
        
        echo '<th><div class="vertical">Brix 1</div></th>';
        echo '<th><div class="vertical">Brix 2</div></th>';
        echo '<th><div class="vertical">Brix 3</div></th>';
        echo '<th><div class="vertical">Brix 4</div></th>';
        echo '<th><div class="vertical">Brix 5</div></th>';
        echo '<th><div class="vertical">Brix 6</div></th>';
        echo '<th><div class="vertical">Brix 7</div></th>';
        echo '<th><div class="vertical">Brix 8</div></th>';
        echo '<th><div class="vertical">Brix 9</div></th>';
        echo '<th><div class="vertical">Brix 10</div></th>';
        
        echo '<th><div class="vertical">Prom</div></th>';
        
        
        
        echo '
        </tr>';
        
        
        $rs = mysql_query("SELECT * FROM cal_caja_brix_fruto where caja_id='$caja_id'");
        
                   if($row = mysql_fetch_array($rs)){
                       echo '<tr align="center" valign="bottom" style="font-size:10px;">';
                       echo '<td>'.$row['brix1'].'</td>';
                       echo '<td>'.$row['brix2'].'</td>';
                       echo '<td>'.$row['brix3'].'</td>';
                       echo '<td>'.$row['brix4'].'</td>';
                       echo '<td>'.$row['brix5'].'</td>';
                       echo '<td>'.$row['brix6'].'</td>';
                       echo '<td>'.$row['brix7'].'</td>';
                       echo '<td>'.$row['brix8'].'</td>';
                       echo '<td>'.$row['brix9'].'</td>';
                       echo '<td>'.$row['brix10'].'</td>';
                       
                       echo '<td>'.$prom_brix.'</td>';
                       echo ' </tr>';         
                   }
        
        
        
        
        
        
        
        
        echo '</table>';
        echo '</div>';
        echo '<table border="1" style="border-collapse: collapse; margin-top:5px;">
    <tr align="center" style="font-size:8px;">';
    $rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') AND cal_cajas_det.caja_id='$caja_id' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");
    //CALIBRES
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$cont_cajas=$rowcajas['cont_parametro'];
    	
    	echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
    }
    
    	
    
    echo '</tr>
    <tr align="left" valign="bottom" style="font-size:8px; height:80px;">';
    $rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') ORDER BY cal_planilla_defectos.orden_planilla ASC");
    
    
    while($rowcajas = mysql_fetch_array($rscajas)){
    	$id_defecto=$rowcajas['id_defecto'];
    	
    	
    	$nombre_defecto=$rowcajas['nombre_defecto'];
    	
    	
                echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
         
    	
    }
    
    
    
    
    
    echo '
    </tr>';
    
    
    $rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_especie_id='$pi_especie_id' AND cal_planilla_inspeccion.tipo_planilla='".$tipo_planilla."' and (cal_cajas.caja_id='$caja_id' or cal_cajas.caja_madre='".$caja_id."') ORDER BY cal_cajas.num ASC");
    	if($rowcajas2 = mysql_fetch_array($rscajas2)){
    		
    		echo '<tr align="center" valign="bottom" style="font-size:10px;">';
    
    	
    		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') ORDER BY cal_planilla_defectos.orden_planilla ASC");
    		while($rowcajas = mysql_fetch_array($rscajas)){
    			$id_defecto=$rowcajas['id_defecto'];
    			$nombre_defecto=$rowcajas['nombre_defecto'];
    			
    			
    			
    			    $rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
    				if($rowcajas3 = mysql_fetch_array($rscajas3)){
    					echo '<td>'.round($rowcajas3['valor_defecto']*100/$peso_neto, 1).'%</td>';
    				}else{
    					echo '<td>0</td>';
    				}
    			
    			
    			
    			
    			
    		}
    
    		
    			
    			
    		echo '</tr>';
    	}
    echo '</table>';
        
    }
    }//si es cliente sofruco
}

echo '</div>';

if($cliente=='SF'){
echo '<div id="relacion" style="margin-left:5px; border:0px solid black; width:120px; height:240px; float:left;">
<table border="1" style="border-collapse: collapse; margin-top:5px;">
<tr align="center" style="font-size:8px;">';
$rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas_det ON cal_cajas_det.id_defecto=cal_planilla_defectos.id_defecto INNER JOIN cal_cajas ON cal_cajas.caja_id=cal_cajas_det.caja_id INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='BRIX' OR cal_planilla_defectos.tipo_medicion='ACIDEZ' OR cal_planilla_defectos.tipo_medicion='BRIX/AC' OR cal_planilla_defectos.tipo_medicion='JUGO') AND cal_cajas_det.caja_id='$caja_id' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");

while($rowcajas = mysql_fetch_array($rscajas)){
	$cont_cajas=$rowcajas['cont_parametro'];
	
	echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
}

echo '</tr>
<tr align="left" valign="bottom" style="font-size:8px; height:80px;">';
$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='BRIX' OR cal_planilla_defectos.tipo_medicion='ACIDEZ' OR cal_planilla_defectos.tipo_medicion='BRIX/AC' OR cal_planilla_defectos.tipo_medicion='JUGO') ORDER BY cal_planilla_defectos.orden_planilla ASC");


while($rowcajas = mysql_fetch_array($rscajas)){
	$id_defecto=$rowcajas['id_defecto'];
	
	
	$nombre_defecto=$rowcajas['nombre_defecto'];
	
	
            echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
     
	
}





echo '
</tr>';


$rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_especie_id='$pi_especie_id' AND cal_planilla_inspeccion.tipo_planilla='".$tipo_planilla."' and (cal_cajas.caja_id='$caja_id' or cal_cajas.caja_madre='".$caja_id."') ORDER BY cal_cajas.num ASC");
	while($rowcajas2 = mysql_fetch_array($rscajas2)){
		
		echo '<tr align="center" valign="bottom" style="font-size:10px;">';

	
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='BRIX' OR cal_planilla_defectos.tipo_medicion='ACIDEZ' OR cal_planilla_defectos.tipo_medicion='BRIX/AC' OR cal_planilla_defectos.tipo_medicion='JUGO') ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			
			
			
			    $rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
				}else{
					echo '<td>0</td>';
				}
			
			
			
			
			
		}

		
			
			
		echo '</tr>';
	}
echo '</table>

</div>';
}
if($cliente=="AS"){
    
}else{
    echo '<div id="grafico_calibre" style="margin-left:5px; border:1px solid black; width:250px; height:240px; float:left;"></div>';
}

if($pi_especie_id=='105'){
    echo '<div id="grafico_calibre2" style="margin-left:5px; border:1px solid black; width:250px; height:240px; float:left;"></div>';
}

echo '<div id="foto" style="margin-left:5px; border:0px solid black; width:200px; height:240px; float:left;">';

if($pi_especie_id=='104'){
    echo '<img src="images/naranjas.jpeg" width="196" />';
    
}
if($pi_especie_id=='105'){
    echo '<img src="images/pomelos.jpeg" width="196" />';
    
}
if($pi_especie_id=='103' || $pi_especie_id=='109'){
    echo '<img src="images/mandarinas.jpeg" width="196" />';
    
}
if($pi_especie_id=='106'){
    echo '<img src="images/tangelo.jpeg" width="196" />';
    
}

if($pi_especie_id=='107' || $pi_especie_id=='108'){
    echo '<img src="images/paltas.jpeg" width="196" />';
    
}

if($pi_especie_id=='110'){
    echo '<img src="images/limon.jpeg" width="196" />';
    
}

echo '</div>



</div>';
if($cliente!="AS"){
    echo '<div style="clear: left;"></div>
<div width="100%" style="margin-top:15px;">
	<div style="border:1px solid black; margin-top:-10px; height:auto; width:100%; font-size:10px; float:left; text-align:left;">
			Observaciones: '.$observaciones.'	
	</div>
	
	</div>';
}

$diventre2=0;
		$sig_pagina=0;
echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
		

	$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_id' or caja_madre='$caja_id'");
echo '<div style="border:0px solid black;">';
           while($row = mysql_fetch_array($rs)){
           		$rs2 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE caja_id='".$row['caja_id']."' order by num_foto_caja ASC");
				while($row2 = mysql_fetch_array($rs2)){
					$diventre2++;
					$sig_pagina++;
					$nombre_foto=$row2['nombre_foto'];
					$link="Inspeccion/".$row2['link']."/".$nombre_foto;
					echo '<div style="float:left; border:1px solid #FFFF; width:22%; height:250px;" align="center">
						';
						
							echo '<div>'.$row2['defecto1_foto'].'</div><img src="'.$link.'.jpg" height="60%">';
						
						
					echo '</div>';
					if($diventre2==4){
						$diventre2=0;
						if($sig_pagina==3){
							echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
							$sig_pagina=0;
						}else{
							echo '<div style="clear:left;">

							</div>';
						}
						
					}
				}
           }
		
echo '</div></body>
</html>';

?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="Reportes/Reporte_Graficos_Pallet/bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="Reportes/Reporte_Graficos_Pallet/bootstrap/js/daterangepicker.js"></script>
    
    <script type="text/javascript" src="Reportes/Reporte_Graficos_Pallet/bootstrap/js/chosen.jquery.js"></script>
    <script type="text/javascript" src="Reportes/Reporte_Graficos_Pallet/bootstrap/js/chosen.jquery.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="assetsmenu/js/scripts.js"></script>
       
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assetsmenu/demo/datatables-demo.js"></script>
<script type="text/javascript">
$(function () {
    
     var cliente=<?php echo json_encode($cliente);?>;
     
     if(cliente=="AS"){
         ver_grafico_as();
     }else{
          ver_grafico_calibre();  
        ver_grafico_calibre2();
     }



    


});

function ver_grafico_as(){
    Highcharts.chart('grafico_calibre_as', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Curva Calibres'
    },
    subtitle: {
        text: '%'
    },
    xAxis: {
        type: 'category',
        labels: {
            rotation: -45,
            style: {
                fontSize: '8px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Curva Calibres'
        }
    },
    legend: {
        enabled: false
    },
    tooltip: {
        pointFormat: 'Curva'
    },
    series: [{
        name: 'Calibre',
        data: [
            <?php 
                $rscajas = mysql_query("SELECT * FROM `cal_calibre` WHERE especie_id='".$pi_especie_id."' order by orden_calibre ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$calibre_id=$rowcajas['calibre_id'];
			$calibre_nombre=$rowcajas['calibre_nombre'];
			
			
			
			    $rscajas3 = mysql_query("SELECT COUNT(*) as cantidad_calibre FROM cal_caja_peso_fruto_as WHERE caja_id='".$caja_id."' AND calibre_id_peso='".$calibre_id."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					
					?>
					
					['<?php echo $calibre_nombre;?>', <?php echo round($rowcajas3['cantidad_calibre'], 1);?>],
                    
                <?php
				}else{
					?>
                    ['<?php echo $calibre_nombre;?>', 0],
                <?php
				}
			
		}
            ?>
            
            ['', 0]
        ],
        dataLabels: {
            enabled: true,
            rotation: -90,
            color: '#000000',
            align: 'right',
            format: '{point.y:.1f}', // one decimal
            y: 10, // 10 pixels down from the top
            style: {
                fontSize: '5px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    }]
});
}

function ver_grafico_calibre(){
    Highcharts.chart('grafico_calibre', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Curva Calibres'
    },
    subtitle: {
        text: '%'
    },
    xAxis: {
        type: 'category',
        labels: {
            rotation: -45,
            style: {
                fontSize: '8px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Curva Calibres'
        }
    },
    legend: {
        enabled: false
    },
    tooltip: {
        pointFormat: 'Curva'
    },
    series: [{
        name: 'Calibre',
        data: [
            <?php 
                $rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO1') ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			
			
			
			    $rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$caja_id."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					
					?>
					
					['<?php echo $nombre_defecto;?>', <?php echo round($rowcajas3['valor_defecto']*100/$peso_neto, 1);?>],
                    
                <?php
				}else{
					?>
                    ['<?php echo $nombre_defecto;?>', 0],
                <?php
				}
			
		}
            ?>
            
            ['', 0]
        ],
        dataLabels: {
            enabled: true,
            rotation: -90,
            color: '#000000',
            align: 'right',
            format: '{point.y:.1f}', // one decimal
            y: 10, // 10 pixels down from the top
            style: {
                fontSize: '5px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    }]
});

}  

function ver_grafico_calibre2(){
    Highcharts.chart('grafico_calibre2', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Curva Calibres'
    },
    subtitle: {
        text: '%'
    },
    xAxis: {
        type: 'category',
        labels: {
            rotation: -45,
            style: {
                fontSize: '8px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Curva Calibres'
        }
    },
    legend: {
        enabled: false
    },
    tooltip: {
        pointFormat: 'Curva'
    },
    series: [{
        name: 'Calibre',
        data: [
            <?php 
                $rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND (cal_planilla_defectos.tipo_medicion='CALIBRE SOFRUCO2') ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			
			
			
			    $rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$caja_id."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					
					?>
					
					['<?php echo $nombre_defecto;?>', <?php echo round($rowcajas3['valor_defecto']*100/$peso_neto, 1);?>],
                    
                <?php
				}else{
					?>
                    ['<?php echo $nombre_defecto;?>', 0],
                <?php
				}
			
		}
            ?>
            
            ['', 0]
        ],
        dataLabels: {
            enabled: true,
            rotation: -90,
            color: '#000000',
            align: 'right',
            format: '{point.y:.1f}', // one decimal
            y: 10, // 10 pixels down from the top
            style: {
                fontSize: '5px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    }]
});

} 
</script>